# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# ------------------------------------------------------------------------------
# Copyright (c) 2006-2007 Novell, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:	include/novell-dhcp/helps.ycp
# Package:	Configuration of novell-dhcp
# Summary:	Help texts of all the dialogs
# Authors:	Mark Clark <mclark@novell.com>, Bindu Nayar <nbindu@novell.com>
#
# $Id: helps.ycp 27914 2007-04-05 14:32:08Z locilka $
module Yast
  module NovellDhcpHelpsInclude
    def initialize_novell_dhcp_helps(include_target)
      textdomain "novell-dhcp"

      # Modify the help text here.
      #

      @HELPS = {
        # Read dialog help 1/2
        "read"            => _(
          "<p><b><big>Initializing OES-DHCP Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization</big></b><br>\nSafely abort the configuration utility by clicking <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write"           => _(
          "<p><b><big>Saving OES DHCP Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting the Save</big></b><br>\n" +
              "Stop the save procedure by clicking <b>Abort</b>.\n" +
              "This opens an additional dialog that indicates whether it is safe to do so.</p>\n"
          ),
        # Interfaces dialog help 1/1
        "interfaces"      => _(
          "<p><b><big>Network Boards for the OES DHCP Server</big></b><br>\nFrom the available interfaces, select the network interfaces that the OES DHCP server should listen to.</p>"
        ),
        # Summary dialog help 1/3
        "summary"         => _(
          "<p><b><big>OES DHCP Configuration</big></b><br>\nConfigure OES DHCP here.<br></p>\n"
        ) +
          # Summary dialog help 2/3
          _(
            "<p><b><big>Adding a OES DHCP Server</big></b><br>\n" +
              "Choose a OES DHCP server from the list of detected OES DHCP servers.\n" +
              "If your OES DHCP server was not detected, select <b>Other (not detected)</b>,\n" +
              "then click <b>Configure</b>.</p>\n"
          ) +
          # Summary dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting</big></b><br>\nClick <b>Edit</b> to open an additional configuration dialog where you can specify new settings for the OES DHCP server.</p>\n"
          ),
        # Overview dialog help 1/3
        "overview"        => _(
          "<p><b><big>OES DHCP Configuration Overview</big></b><br>\nUse this dialog to obtain a list of installed OES DHCP servers and edit their configurations.</p>\n"
        ) +
          # Overview dialog help 2/3
          _(
            "<p><b><big>Adding a OES DHCP Server</big></b><br>\nClick <b>Add</b> to configure a OES DHCP server.</p>\n"
          ) +
          # Overview dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting</big></b><br>\n" +
              "Select a OES DHCP server to change or remove,\n" +
              "then click <b>Edit</b> or <b>Delete</b>.</p>\n"
          ),
        # DHCP Services Configure help 1/8
        "configure_dhcp1" => _(
          "<p><b><big>OES DHCP Services Configuration</big></b><br>\nUse this dialog to specify options for configuring a DHCP server that is integrated with eDirectory on this server.</p>\n"
        ) +
          # DHCP Services Configure help 2/8
          _(
            "<p><b><big>DHCP Server Context</big></b><br>\nSpecify a context for the DHCP Server object.<br>For example: ou=servers,o=microfocus</p>\n"
          ) +
          # DHCP Services Configure help 3/8
          _(
            "<p><b><big>DHCP Server Object Name</big></b><br>\n" +
              "Specify the name of the Server object that these DHCP services will be running on.<br>For example: DHCP_<i>servername</i></p>\n" +
              "<p>This is the DHCP server object that contains a list of DHCP Services (configuration) served by the DHCP Server.</p>\n"
          ) +
          # DHCP Services Configure help 4/8
          _(
            "<p><b><big>DHCP Locator Context</big></b><br>\n" +
              "Specify the context for the DHCP Locator object.<br>For example: ou=dhcp,o=microfocus</p>\n" +
              "<p>The DHCP Locator object has references to dhcpServer and dhcpService objects.</p>\n"
          ) +
          # DHCP Services Configure help 5/8
          _(
            "<p><b><big>Group Context</big></b><br>\n" +
              "Specify the context for the DHCP Group object.<br>For example: ou=dhcp,o=microfocus</p>\n" +
              "<p>This object is used to grant the necessary rights to the eDirectory user used by DHCP Server to access the DHCP objects.</p>\n" +
              "<p>If you want to use existing DHCP locator and group object contexts in the tree, click 'Retrieve' button to perform the object(s) search.</p>\n"
          ) +
          # DHCP Services Configure help 6/8
          _(
            "<p><b><big>Log File Location</big></b><br>\nSpecify the path and filename for the DHCP Services log file. You can type the path manually or click <b>Browse</b> to locate the log. It is usually in the /var/log/ directory.</p>\n"
          ) +
          # DHCP Services Configure help 7/8
          _(
            "<p><b><big>LDAP Method</big></b><br>\n" +
              "Select <b>Static</b> if you do not want the DHCP server to query the LDAP server for host details.</p>\n" +
              "<p>Select <b>Dynamic</b> if you want the DHCP server to query for host details from the LDAP server for every request.</p>\n" +
              "<p>Selecting the dynamic LDAP method ensures that the responses you receive to queries are accurate, but the server takes a longer time to respond.</p>\n"
          ) +
          # DHCP Services Configure help 8/8
          _(
            "<p><b><big>Referrals</big></b><br>\n" +
              "Select <b>Chase Referral</b> if you want the DHCP server to follow referrals. Otherwise, select the <b>Do Not Chase Referral</b> option. </p>\n" +
              "<p>A referral is a message that the LDAP server sends to the LDAP client informing it that the server cannot provide complete results and that more data might be on another LDAP server.</p>\n"
          ),
        # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 1/7
        "configure_dhcp2_title" => _(
          "<p><b><big>OES DHCP LDAP and Secure Channel Configuration</big></b><br>\nUse the options on this dialog to specify LDAP and Secure Channel settings for OES DHCP.</p>\n"
        ),
          # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 2/7
          "configure_dhcp2" => _(
            "<p><b><big>Use Secure Channel for Configuration </big></b><br>\n" +
              "This option is selected by default. When you are configuring DHCP services, it ensures all configuration is transferred over a secure channel.</p>\n" +
              "<p>Deselecting this option lets a user with fewer privileges configure LDAP services.</p>\n"
          ) +
          # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 3/7
          _(
            "<p><b><big>Proxy User for DHCP Management</big></b><br>\n" +
              "This is the Common Proxy user that was created during eDirectory configuration for managing DHCP service.</p>\n" +
              "<p>During eDirectory configuration, if you have selected the 'Use Common Proxy User as default for OES Products' check box, then the proxy user field is populated with common proxy user name.</p>\n"
          ) +
          # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 4/7
          _(
            "<p><b><big>LDAP Port for DHCP Server</big></b><br>\nSelect a port for the LDAP operations to use.</p>\n"
          ) +
          # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 5/7
          _(
            "<p><b><big>Use secure channel for DHCP server</big></b><br>\nThis option is selected by default to ensure that the data transferred between DHCP server and LDAP server is secure and private. If you deselect this option, the data transferred is in clear text format.</p>\n"
          ) +
          # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 6/7
          _(
            "<p><b><big>Request Certificate</big></b><br>\n" +
              "Specifies what checks to perform on server certificate in a SSL/TLS session. Select one of the following options:</p>\n" +
              "<p>Never: The server does not ask the client for a certificate.</p>\n" +
              "<p>Allow: The server requests for a client certificate but if a certificate is not provided or a wrong certificate is provided, the session still proceeds normally.</p>\n" +
              "<p>Try: The server requests for the certificate, if none is provided, the session proceeds normally. If a certificate is provided and it cannot be verified, the session is immediately terminated</p>\n" +
              "<p>Hard: The server requests for a certificate and a valid certificate must be provided, otherwise the session is immediately terminated</p>\n"
          ) +
          # DHCP Configure LDAP, Secure Channel and Certificates Dialog help 7/7
          _(
            "<p><b><big>Paths to Certificate files</big></b><br>\n" +
              "Specify or browse the path for the certificate files. The default location for these files is /etc/opt/novell/certs.</p>\n" +
              "<p>The LDAP CA file contains CA Certificates</p>\n" +
              "<p>The LDAP client certificate contains the client certificate. </p>\n" +
              "<p>The LDAP client key file contains the key file for the client certificate</p>\n"
          )
      } 



      # EOF
    end
  end
end
